﻿using System;

using NLog;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            Logger logger = LogManager.GetCurrentClassLogger(); 

            logger.Debug("DEBUG MESSAGE");

            logger.Warn("WARNING MESSAGE"); 

            logger.Error(new Exception("TEST ERROR"), "ERROR MESSAGE"); 

            logger.Fatal("FATAL MESSAGE");

            logger.Info("INFO MESSAGE"); 
        }

        #endregion
    }
}